/// <reference types="react" />
import { THtmlEditorFloatHighlightToolbarProps } from "./html-editor-type";
export type THtmlEditorFloatEditToolbarProps = {
    editor: any;
    tooltips?: Record<string, any>;
    supportHighlight?: boolean;
    hideH1?: boolean;
    hideH2?: boolean;
    hideH3?: boolean;
    hideH4?: boolean;
    supportTooltips?: boolean;
    supportSourceCode?: boolean;
    tooltipEditorProps?: Record<string, any>;
    onClickEditTooltip?: (id: string) => void;
    onUpdateTooltips?: (tooltips: Record<string, any>) => void;
    lowlight: any;
};
export declare const HtmlEditorFloatEditToolbarContent: (props: THtmlEditorFloatEditToolbarProps) => JSX.Element;
export declare const HtmlEditorFloatEditToolbar: (props: THtmlEditorFloatEditToolbarProps & THtmlEditorFloatHighlightToolbarProps) => JSX.Element;
export default HtmlEditorFloatEditToolbar;
